Package org.apache.lucene.geo

# Enum Class SimpleWKTShapeParser.ShapeType

java.lang.Object
java.lang.Enum<SimpleWKTShapeParser.ShapeType>
org.apache.lucene.geo.SimpleWKTShapeParser.ShapeType

All Implemented Interfaces:
  `Serializable`, `Comparable<SimpleWKTShapeParser.ShapeType>`, `Constable`

Enclosing class:
  `SimpleWKTShapeParser`

public static enum SimpleWKTShapeParser.ShapeType extends Enum<SimpleWKTShapeParser.ShapeType>
Enumerated type for Shapes

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENVELOPE`
  `GEOMETRYCOLLECTION`
  `LINESTRING`
  `MULTILINESTRING`
  `MULTIPOINT`
  `MULTIPOLYGON`
  `POINT`
  `POLYGON`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SimpleWKTShapeParser.ShapeType`
  `forName(String shapename)`
  `static SimpleWKTShapeParser.ShapeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SimpleWKTShapeParser.ShapeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `String`
  `wktName()`
  wkt shape name

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### POINT

    public static final SimpleWKTShapeParser.ShapeType POINT

  - ### MULTIPOINT

    public static final SimpleWKTShapeParser.ShapeType MULTIPOINT

  - ### LINESTRING

    public static final SimpleWKTShapeParser.ShapeType LINESTRING

  - ### MULTILINESTRING

    public static final SimpleWKTShapeParser.ShapeType MULTILINESTRING

  - ### POLYGON

    public static final SimpleWKTShapeParser.ShapeType POLYGON

  - ### MULTIPOLYGON

    public static final SimpleWKTShapeParser.ShapeType MULTIPOLYGON

  - ### GEOMETRYCOLLECTION

    public static final SimpleWKTShapeParser.ShapeType GEOMETRYCOLLECTION

  - ### ENVELOPE

    public static final SimpleWKTShapeParser.ShapeType ENVELOPE

- ## Method Details

  - ### values

    public static SimpleWKTShapeParser.ShapeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SimpleWKTShapeParser.ShapeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### wktName

    public String wktName()
    wkt shape name

  - ### forName

    public static SimpleWKTShapeParser.ShapeType forName(String shapename)